<div id="newStock" class="row">
  <div class="input-field col s8 m6">
    <input [(ngModel)]="stockName" id="name" type="text" class="validate">
    <label class="active" for="name">Name</label>
  </div>
  <div class="col s4">
    <button (click)="addStock()" id="addStock" class="btn waves-effect waves-light blue darken-1" style="margin-top: 20px;">OK</button>
  </div>
</div>